package com.qmth.teachcloud.mark.enums;

public enum OmrTaskStatus {

    WAITING("未处理"), PROCESSED("已处理");

    private String name;

    OmrTaskStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static OmrTaskStatus getByName(String name) {
        for (OmrTaskStatus r : OmrTaskStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
